#!/usr/bin/perl
use strict;
use warnings;
use File::Path;
use File::Find;
use File::Basename;

# 収集用ディレクトリの作成
my $coll_dir ="OptionFonts";
my $wd = dirname($0);
my $coll_dir_f = $wd."/".$coll_dir;

if (-d $coll_dir_f ){
    die "収集用フォルダ$coll_dirがすでにあります。終了します\n"
}
mkpath $coll_dir_f;

my @all_files = glob "/System/Library/AssetsV2/com_apple_MobileAsset_Font*";

my $file;
for $file (@all_files){
    if (-d $file ) {              # ディレクトリならば実行
	find( \&getfont, $file );
    }
}
sub getfont {
    my $new;
    if (($_ =~/\.ttf$/i)|($_ =~/\.ttc$/i)|($_ =~/\.otf$/i)) {
	$new = $coll_dir_f."/".$_;
	symlink $File::Find::name, $new  or warn "can't link :$!";
    }
}
